Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154398 - Segfaults on typeahead in treeview
Summary: Segfaults on typeahead in treeview
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: devhelp
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC4Blocker
TreeView+ depends on / blocked
 
Reported: 2005-04-11 14:20 UTC by Dan Williams
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-14 19:52:08 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 166013 None None None Never

Description Dan Williams 2005-04-11 14:20:14 UTC
1) Open devhelp
2) Click the Search tab, type in something like "gtk_widget"
3) Click on the first item in the list, wait until its shown in the right-hand pane
4) Click back on the list so that any item is active-highlighted (not grey
inactive-hightlighted)
5) start typing

(devhelp:3653): Gtk-CRITICAL **: gtk_tree_path_get_indices: assertion `path !=
NULL' failed

(devhelp:3653): Gtk-CRITICAL **: gtk_tree_path_get_depth: assertion `path !=
NULL' failed

Program received signal SIGSEGV, Segmentation fault.

Thread 1 (Thread -1208645952 (LWP 3653)):
#0  0x03af0ba1 in gtk_tree_view_set_search_equal_func () from
/usr/lib/libgtk-x11-2.0.so.0
#1  0x03af11fd in gtk_tree_view_set_search_equal_func () from
/usr/lib/libgtk-x11-2.0.so.0
#2  0x03af136e in gtk_tree_view_set_search_equal_func () from
/usr/lib/libgtk-x11-2.0.so.0
#3  0x03af175c in gtk_tree_view_set_search_equal_func () from
/usr/lib/libgtk-x11-2.0.so.0
#4  0x03a29e72 in gtk_marshal_VOID__UINT_STRING () from /usr/lib/libgtk-x11-2.0.so.0
#5  0x001d6c86 in g_cclosure_new_swap () from /usr/lib/libgobject-2.0.so.0
#6  0x001d7172 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#7  0x001e6b47 in g_signal_connect_closure_by_id () from
/usr/lib/libgobject-2.0.so.0
#8  0x001e7e7b in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#9  0x001e847b in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#10 0x03b057e3 in gtk_widget_activate () from /usr/lib/libgtk-x11-2.0.so.0
#11 0x03b14287 in gtk_window_propagate_key_event () from
/usr/lib/libgtk-x11-2.0.so.0
#12 0x03b18406 in gtk_window_activate_key () from /usr/lib/libgtk-x11-2.0.so.0
#13 0x03a29e72 in gtk_marshal_VOID__UINT_STRING () from /usr/lib/libgtk-x11-2.0.so.0
#14 0x001d6c86 in g_cclosure_new_swap () from /usr/lib/libgobject-2.0.so.0
#15 0x001d7172 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#16 0x001e6b47 in g_signal_connect_closure_by_id () from
/usr/lib/libgobject-2.0.so.0
#17 0x001e7e7b in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#18 0x001e847b in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#19 0x03b057e3 in gtk_widget_activate () from /usr/lib/libgtk-x11-2.0.so.0
#20 0x03a286e9 in gtk_propagate_event () from /usr/lib/libgtk-x11-2.0.so.0
#21 0x03a28a14 in gtk_main_do_event () from /usr/lib/libgtk-x11-2.0.so.0
#22 0x002e2ce4 in gdk_screen_get_setting () from /usr/lib/libgdk-x11-2.0.so.0
#23 0x00d7646e in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#24 0x00d79476 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#25 0x00d79763 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#26 0x03a27cd5 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#27 0x08049125 in main (argc=0, argv=0x0) at dh-main.c:164
#28 0x00a47db6 in __libc_start_main () from /lib/tls/libc.so.6
#29 0x08048d61 in _start ()

Comment 1 Dan Williams 2005-04-11 14:22:23 UTC
firefox-1.0.2-3
devhelp-0.9.3-4


Comment 2 Ray Strode [halfline] 2005-04-14 19:52:08 UTC
Hi,
Should be fixed in rawhide.


Note You need to log in before you can comment on or make changes to this bug.